API ReferenceToolkits
Sync a custom toolkitv3.0
Experimental: custom toolkits are in pilot and this contract may change. Re-fetches tool definitions from the remote MCP server for the custom toolkit with the provided slug. Call it when automatic sync fails or the remote tool definitions change.
x-api-key<token>
Project API key authentication
In: header
Request Body
application/json
Toolkit sync data
slugstringRequired
Toolkit slug to sync
connected_account_idstring
The unique identifier for the connected account
Format:
connectedAccountIdResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v3/custom/toolkits/sync" \ -H "Content-Type: application/json" \ -d '{ "slug": "CUSTOM_MY_TOOLKIT" }'{ "slug": "CUSTOM_MY_TOOLKIT", "version": "00000000_00", "synced_count": 1}